S3: Library for accessing S3 compatible storage services

[ gpl, library, network ] [ Propose Tags ]

This library provides a lightweight API for interacting with storage services compatible with Amazon's Simple Storage Service or S3 protocol.

The current version of this library provides support for

See the Network.S3 module for documentation and usage examples.

Versions [faq] 0.1.0.0
Dependencies base (>=4.8.0.0 && <4.13 || >=4.13.0.0 && <4.14), base-encoding (>=0.1.0 && <0.2), base-noprelude (>=4.7.0.0 && <4.8), bytestring (==0.10.*), cryptohash-md5 (>=0.11.100 && <0.12), cryptohash-sha1 (>=0.11.100 && <0.12), cryptohash-sha256 (>=0.11.100 && <0.12), deepseq (>=1.3 && <1.5), hashable (>=1.2.7 && <1.3 || >=1.3.0 && <1.4), http-io-streams (>=0.1.0.0 && <0.2), io-streams (==1.5.*), Prelude (>=0.1.0.1 && <0.2), text (>=1.2.3 && <1.3), text-short (>=0.1.2 && <0.2), time (>=1.5 && <1.7 || >=1.8.0.2 && <1.9 || >=1.9.3 && <1.10), X (>=0.3.0 && <0.4) [details]
License GPL-3.0-or-later
Author Herbert Valerio Riedel
Maintainer hvr@gnu.org
Revised Revision 1 made by HerbertValerioRiedel at 2019-09-10T09:12:01Z
Category Network
Bug tracker https://github.com/hvr/S3/issues
Source repo head: git clone https://github.com/hvr/S3.git
Uploaded by HerbertValerioRiedel at 2019-08-18T22:14:18Z
Distributions NixOS:0.1.0.0
Downloads 825 total (14 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Hackage Matrix CI
Docs available [build log]
Last success reported on 2019-08-18 [all 1 reports]

Modules

[Index] [Quick Jump]

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees